precision mediump float;
varying mediump vec2 v_texCoord;
uniform vec4 u_centerAndSize;

void main()
{
    lowp vec4 texColor = texture2D(CC_Texture0, fract(v_texCoord));
    mediump vec2 pos = vec2(v_texCoord.x, 1.0 - v_texCoord.y) * u_centerAndSize.zw;
    float len = distance(pos, u_centerAndSize.xy);
    float alpha = smoothstep(1.0, 1.0 - 1.0 /255.0, len);
    gl_FragColor = vec4(texColor.rgb, alpha);
}