attribute vec4 a_position;
attribute vec2 a_texCoord;

varying mediump vec2 v_texCoord;
varying mediump vec4 v_waveCoord;
varying mediump vec4 v_waveCoord2;

void main(void)
{
    gl_Position = CC_PMatrix * a_position;
    v_texCoord = a_texCoord;
    mediump vec4 waveScale = vec4(1.0, 0.5, 0.8, 1.0);
    highp vec4 waveSpeed = vec4(0.04, 0.03, -0.04, -0.03);
    mediump vec4 waveOffset = fract(waveSpeed * CC_Time.y);
    v_waveCoord = a_texCoord.xyxy * waveScale + waveOffset;

    waveScale = vec4(1.3, 1.6, 1.0, 1.3);
    waveSpeed = vec4(0.02, 0.06, -0.02, -0.03);
    waveOffset = fract(waveSpeed * CC_Time.y);
    v_waveCoord2 = a_texCoord.xyxy * waveScale + waveOffset;

}

